
Summary: wv is a library which allows access to Microsoft Word files
Name: 	 wv
Epoch:	 0
Version: 1.0.0 
Release: 2AX
License: GPL	
Url:	 http://wvWare.sourceforge.net/wvWare.html 
Source:	 http://prdownloads.sourceforge.net/wvware/wv-1.0.0.tar.gz
Prefix:	 %{_prefix}	
Group:   System Environment/Libraries	
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Patch1: wv-1.0.0-manone.patch
Patch2: wv-1.0.0-consumed.patch

BuildRequires: glib2-devel
Requires: glib2 

%description
This is the home of the wv library. The original name of the project, 
mswordview, was uncomfortably close to Microsoft's own product named 
wordview, so the library was renamed. 

wv is a library which allows access to Microsoft Word files. It can 
load and parse Word 2000, 97, 95 and 6 file formats. (These are the 
file formats known internally as Word 9, 8, 7 and 6.) There is some 
support for reading earlier formats as well: Word 2 docs are converted 
to plaintext. 


%package devel
Summary: %{name} headers and libraries 
Group:   Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
%description devel
%{name} headers and libraries


%prep
%setup -q 

%patch1 -p1 -b .manone
%patch2 -p1 -b .can20040645

%build
%configure \
  --disable-dependency-tracking \
  --disable-debug --disable-warnings 

make %{?_smp_mflags} 


%install
rm -rf "$RPM_BUILD_ROOT"

make install DESTDIR="$RPM_BUILD_ROOT"

## Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README
%{_bindir}/wv*
%{_datadir}/wv
%{_libdir}/lib*.so.*
%{_mandir}/man1/wv*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*


%changelog
* Mon Sep 13 2004 Shiro Yamada <shiro@miraclelinux.com> 1.0.0-2AX
- applied a fix for a buffer overflow vulnerability CAN-2004-0645 (patch2)

* Tue May 11 2004 Shiro Yamada <shiro@miraclelinux.com> 1.0.0-0.1AX
- rebuild for Asianux 1.0

* Thu Sep 25 2003 Rex Dieter <rexdieter at sf.net> 0:1.0.0-0.fdr.0
- first try.

